extends TextureRect

# Called when the node enters the scene tree for the first time.
func _ready():
	await texture.changed
	var image = texture.get_image()
	print(image.detect_alpha())
	image.fill(Color(1, 0, 1, 0.5))
	print(image.detect_alpha())
	print(image.get_format())

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	texture.noise_offset.x += 25*delta
	texture.noise_offset.y -= 5*delta
	pass
